**Refactor price formatting and parsing. As a result, breaking changes may have been introduced.**

* The price format function has refactored.
  * Function signature is unchanged.
  * Function behavior has changed.
    * A string is always returned.
    * Passing a non-numeric value will yield a zero-length string.
    * Passing an invalid unit code will yield a zero-length string.
* The price parse function has been refactored.
  * Function signature was expanded.
    * New arguments were appended. The same values used to format a value should be used when parsing.
      * fractionSeparator
      * specialFractions
      * thousandsSeparator
  * Function behavior has changed.
    * Passing a value which cannot be parsed will yield Number.NaN.
    * Passing an invalid unit code will yield Number.NaN.
* A formal enumeration, called UnitCode, was added.
